# Script to periodically fetch and merge upstream changes

The use case is to keep a **project** repository up to date with changes from **upstream** repository.

This basically runs in a loop

```
git fetch project
git reset --hard project/master
git fetch upstream
git merge upstream/master
git push project master
```
## Install

Needs nodejs >= 16
```
npm install
```

## Usage

```
cp config-example.yaml config.yaml
$EDITOR config.yaml
npx run zx autogitmerge.mjs
```
 